classification
Title: add single html files
Type: enhancement Stage:
Components: Documentation Versions:
process
Status: closed Resolution:
Dependencies: Superseder:
Assigned To: Nosy List: fdrake, georg.brandl, phr
Priority: normal Keywords:

Created on 2005-05-27 00:37 by phr, last changed 2007-09-07 07:40 by georg.brandl. This issue is now closed.

Messages (3)
msg54541 - (view) Author: paul rubin (phr) Date: 2005-05-27 00:37
It would be good if the docs directory on python.org
included a "view entire document as one big html page"
for each document.  If I want to read through a
document from beginning to end, it's a  big pain to
have to keep clicking around at the end of each page,
especially if I'm looking at most pages for just a
second or so.  For the biggest documents (Python
library) maybe there could be several sections.  Right
now the only way to see everything at once is with the
PDF, which is much more hassle than browsing html.
msg55173 - (view) Author: Fred Drake (fdrake) (Python committer) Date: 2007-08-23 18:14
Might be nice, but it's obvious I've not gotten to this, so removing
myself from the issue.
msg55178 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2007-08-23 18:46
The new docs (see http://docs.python.org/dev) have much longer
individual HTML pages, perhaps this is already enough for your needs (a
single Library Reference page would be several Megabytes in size...)
History
Date User Action Args
2007-09-07 07:40:29georg.brandlsetstatus: pending -> closed
2007-08-23 18:46:35georg.brandlsetstatus: open -> pending
nosy: + georg.brandl
messages: + msg55178
2007-08-23 18:14:11fdrakesetassignee: fdrake ->
messages: + msg55173
2005-05-27 00:37:13phrcreate